Bug 1300351 - Unsatisfied requirement for nodejs010-nodejs-is-finite on RHEL-6
Unsatisfied requirement for nodejs010-nodejs-is-finite on RHEL-6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Software Collections
Classification: Red Hat
Component: nodejs (Show other bugs)
nodejs010
Unspecified Unspecified
high Severity high
: ---
: 2.1
Assigned To: Tomas Hrcka
Miroslav Hradílek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 09:27 EST by Miroslav Hradílek
Modified: 2016-04-06 10:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 10:03:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Hradílek 2016-01-20 09:27:50 EST
Description of problem:
For some reason on RHEL-7 the package "nodejs010-nodejs-number-is-nan" provides the "scl-package(nodejs010)" required by "nodejs010-nodejs-is-finite" while on RHEL-6 the package is missing tzhos provide but "is-finite" still requires it.

This breaks installation with yum.

Steps to Reproduce:
$ yum install nodejs010-nodejs-nodemon
. . .
--> Finished Dependency Resolution
Error: Package: nodejs010-nodejs-is-finite-1.0.1-4.el6.noarch (rhscl-server)
           Requires: nodejs010-npm(number-is-nan)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

On 6:
$ rpm -q --provides nodejs010-nodejs-number-is-nan
nodejs010-nodejs-number-is-nan = 1.0.0
nodejs010-nodejs-number-is-nan = 1.0.0-3.el6

On 7:
$ rpm -q --provides nodejs010-nodejs-number-is-nan
nodejs010-nodejs-number-is-nan = 1.0.0
nodejs010-nodejs-number-is-nan = 1.0.0-3.el7
nodejs010-npm(number-is-nan) = 1.0.0
scl-package(nodejs010)


Additional info:
Maybe different versions of scl-utils but how come "is-finite" requires it?
Comment 1 Joe Orton 2016-03-23 10:27:04 EDT
Is this still a current issue or was it fixed in the recent nodejs010 errata?
Comment 2 Miroslav Hradílek 2016-03-30 11:10:27 EDT
I believe it was fixed it just was not added to erratum. I'd close this current release.

Note You need to log in before you can comment on or make changes to this bug.